#!/usr/bin/env python
import coral

L = coral.loadModel("../../lang/UML14/def/UML14.xmi")
assert(L)

me = L.elements.select(lambda x: x.name == "ModelElement")[0]
assert(me)
assert(me.name == "ModelElement")

anyabstractelement = me.superclasses[0]
assert(anyabstractelement)
assert(anyabstractelement.name == "AnyAbstractElement")
assert(anyabstractelement.superclasses.size() == 1)

anyelement = anyabstractelement.superclasses[0]
assert(anyelement)
assert(anyelement.name == "AnyElement")
